Bug 1272732 - Recommend/suggest default external tools
Recommend/suggest default external tools
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
24
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 04:17 EDT by Ville Skyttä
Modified: 2016-06-10 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 06:12:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2015-10-18 04:17:50 EDT
git-cola should probably have a Recommends or at least Suggests for the default external tools it invokes: gvim, gitk, and xxdiff (see preferences).
Comment 1 Kevin Kofler 2015-10-18 19:00:09 EDT
At most I can add Suggests, I don't think dragging those obsolescent tools in by default is a good idea. (I don't use any of those.)

I wonder whether I should override the upstream defaults, but then there are going to be flamewars on which desktop's tools to use (I use kwrite, qgit and kompare). The defaults are at least equally out of place on ANY desktop. ;-)
Comment 2 Ville Skyttä 2015-10-19 10:54:16 EDT
On 2nd thought and after playing with the behavior with defaults uninstalled, I concur with you. Feel free to close this with or without adding the suggests.
Comment 3 Jan Kurik 2016-02-24 10:42:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora Admin XMLRPC Client 2016-05-05 12:27:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2016-05-05 12:34:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.